Packages - Bug #2694

[p11-kit] needs rebuild against [libffi] (affects [paraview], [Ixterminal], [emacs] and probably others)
2020-04-13 01:10 AM - nona

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Paraview and others are not running:

$ paraview

paraview: error while loading shared libraries: 1libffi.so.6: cannot open shared object file: No su
ch file or directory

$ lxterminal

lxterminal: error while loading shared libraries: libffi.so.6: cannot open shared object file: No
such file or directory

$ emacs

emacs: error while loading shared libraries: libffi.so.6: cannot open shared object file: No such
file or directory

See note #3 in this thread for more information.

Related issues:

Related to Packages - Bug #2691: [icecat]: XPCOMGilueLoad error ibxul.so: libf... fixed
Related to Packages - Bug #2693: vtk: No module named 'vtklOFFMPEGPython' fixed
Related to Packages - Bug #2771: [i686/unknown-pkg]: error while loading shar... duplicate
History

#1 - 2020-04-13 08:54 PM - theova

- Status changed from unconfirmed to info needed

paraview needs to be rebuilt against the new libffi.

paraview and libffi are both from Arch:

$ pacman -Si paraview libffi | grep -E "Repository|Name"
Repository : community

Name : paraview

Repository : core

Name : libffi

| cannot reproduce the error. After updating today, | have:

pacman -F libffi.so.7
core/libffi 3.3-3 [installed]
usr/lib/libffi.so.7

So updating should fix this for you as well, | guess?

#2 - 2020-04-14 03:15 AM - nona

sudo pacman -Sy
Synchronizing package databases...

nonprism is up to date

kernels is up to date
nonsystemd is up to date

libre is up to date

core is up to date

extra is up to date

community is up to date
community-testing is up to date
pcr is up to date
libre-multilib is up to date
pcr-multilib is up to date

pacman -Si core/libffi community/paraview

pacman -Si paraview libffi | grep -E "Repository|Name"
Repository : community

Name : paraview

Repository : core

Name : libffi

pacman -F libffie.so.7

(empty)

It seems that there is something else going on, because my repositories seem updated, yet | still have the same libffie.s0.6 . Thanks.

#3 - 2020-04-14 04:00 AM - CommodoreCrunch

It's because the Nonsystemd version of p11-kit needs to be rebuilt against libffi 3.3. It's a core library so it breaks things that seem unrelated.
network-manager-applet wouldn't launch for me and the new nss update wasn't generating the certificate stores properly, both complaining about
libffi. This is also why it's not always reproducible, because it only affects OpenRC users.

I'm not a Parabola maintainer or anything, but rebuilding p11-kit did fix every issue on my end, so that's the theory I'm sticking with.

#4 - 2020-04-14 04:01 AM - nona

This is affecting a lot more applications than | expected:

$ lxterminal
lxterminal: error while loading shared libraries: libffi.so.6: cannot open shared object file: No such file or
directory

$ emacs
emacs: error while loading shared libraries: libffi.so.6: cannot open shared object file: No such file or dire
ctory

To make sure, | downloaded this: [[hitps:/www.parabola.nu/packages/core/x86_64/libffi/]]. Downgrading libffi told me that libffi.so0.7 was not found
This is me: ??? Take away the cocaine, but leave my Emacs, please :D .

#5 - 2020-04-14 04:03 AM - nona

CommodoreCrunch wrote:

rebuilding p11-kit did fix every issue on my end, so that's the theory I'm sticking with.

That's what I'll try. Thanks!

#6 - 2020-04-14 04:12 AM - nona
nona wrote:

CommodoreCrunch wrote:

rebuilding p11-kit did fix every issue on my end, so that's the theory I'm sticking with.

That's what I'll try. Thanks!

That worked! Praise the freedom! Praise the community! Thanks!
[[https://git.parabola.nu/abslibre.git/tree/nonsystemd/p11-kit/PKGBUILD]]

#7 - 2020-04-14 07:06 AM - theova
- Status changed from info needed to confirmed
- Description updated

- Subject changed from paraview cannot find libffi to [p11-kit] needs rebuild against [libffi] (affects [paraview], [Ixterminal], [emacs] and probably others)

Nice to hear. | adopted the subject of this thread to reflect this information.
#8 - 2020-04-14 07:06 AM - theova
- Related to Bug #2691 [icecat]: XPCOMGlueLoad error ibxul.so: libffi.so.6: added

#9 - 2020-04-14 07:07 AM - theova
- Related to Bug #2693: vtk: No module named 'vtklOFFMPEGPython' added

#10 - 2020-04-14 10:19 AM - oaken-source

in the future, you can use ‘lddtree’ to figure out where in the tree of shared libraries the breakage occurs.

#11 - 2020-04-19 03:04 AM - leomd

i686 package have the same issue

#12 - 2020-05-14 09:03 PM - bill-auger
- Related to Bug #2771: [i686/unknown-pkg]: error while loading shared libraries: libffi.so.6 added

#13 - 2020-05-14 09:47 PM - bill-auger

- Assignee set to bill-auger

p11-kit 0.23.20-5.nonsystemd1 fixed this for me - please write back if anyone still has this problem

#14 - 2020-05-14 09:47 PM - bill-auger

- Status changed from confirmed to fixed

#15 - 2020-05-26 05:25 PM - doolio

On my i686 install it uses systemd so | presume this library from the nonsystemd repo can not be used by me. My up-to-date system has p11-kit
0.23.20-4.0 from core so | trust | can expect to see p11-kit 0.23.20-5 in core soon? Thanks for your time and Parabola.

#16 - 2020-05-26 05:38 PM - bill-auger
doolio -
you are correct that the nonsystemd package is not important for you - you have the up-to-date version of p11-kit for i686

p11-kit 0.23.20-5.0 is in i686/staging - it will be in core soon; but that should not be important to you either, unless some program that you use is
broken - is any program on your system broken because of this?

BTW - you asked this same question yesterday on the icecat ticket; and i gave you the same answer yesterday; and i also asked yesterday, if icecat
was broken for you; but you did not respond

#17 - 2020-05-27 06:56 AM - doolio

Ok, understood. Ah, sorry about posting twice. I've just signed up and when | made the other post | wasn't sure if it got posted at all as | was also
creating a post for a package request and a message stated it could not be posted as my account was too new to prevent spam. I'll respond to the
other ticket now. Thanks again.
